% eda06_07
% fourier transform of a spike

% standard set up
N=256;
Dt=1.0;
tmax=Dt*(N-1); 
t=Dt*[0:N-1]'; 
fmax=1/(2.0*Dt);
df=fmax/(N/2);
f=df*[0:N/2,-N/2+1:-1]'; 
Nf=N/2+1;
dw=2*pi*df;
w=dw*[0:N/2,-N/2+1:-1]';
Nw=Nf;

% spike function
d = zeros(N,1);
d(1)=1.0;

dt = fft(d);

figure(1);
clf;
subplot(2,1,1);
set(gca,'LineWidth',2);
hold on;
axis( [-tmax/10, tmax, -1, 1] );
plot(t,d,'k-','LineWidth',2);
plot(t,d,'k.','LineWidth',2);
xlabel('time, t');
ylabel('d(t)');
subplot(2,1,2);
set(gca,'LineWidth',2);
hold on;
axis( [-fmax, fmax, 0, 2] );
plot(f,real(dt),'k-','LineWidth',2);
plot(f,real(dt),'k.','LineWidth',2);
xlabel('frequency, f');
ylabel('d(f)');


